Hi @Sam Bergami You can try installing the packages from terminal: $ cd Downloads $ sudo dpkg -i digilent.adept.runtime... $ sudo dpkg -i digilent.waveforms... Let us know what you get.